#ifndef DATA_BASE_H
#define DATA_BASE_H

#include <stdio.h>


#include "Containers/CVector.h"
#include "Containers/CString.h"

#include "Directory/File.h"
#include "Directory/Directory.h"

class Parser;

class Database
{
  public:
   ~Database(void);
   
    void Read (Parser &p);
    void Write(FILE *fp);

    void CheckTree(Directory *tree);

    int  FileModified(File *file);
    
    void Clean(void);

  private:
    void AddFile(const File *f);
    CVector<File *> Files;
};

#endif
