/*******************************************************************************
filename      DirString.h
author        Craig Williams

Brief Description:

      All content (c) 2009 DigiPen (USA) Corporation, all rights reserved.
*******************************************************************************/

#ifndef DIRECTORY_STRING_H
#define DIRECTORY_STRING_H

#include "../Containers/CString.h"

class DirString
{
  public:
    DirString(const CString &str);

    void Validate(void);
    void PopDir(void);
    void PushDir(const CString &str); // Name of the folder without the slash

    CString Dir;
};

#endif
