/*******************************************************************************
filename      FilePaths.h
author        Craig Williams

Brief Description:

      All content (c) 2008 DigiPen (USA) Corporation, all rights reserved.
*******************************************************************************/
#ifndef FILE_PATHS_H
#define FILE_PATHS_H

#include "../Containers/CString.h"

char   *GetPath(const char *f);
CString GetPath(const CString &f);
char   *GetFile(const char *f);
CString GetFile(const CString &f);
char   *SetExt (const char *file, const char *ext);
char   *GetExt (const char *file);
CString GetExt (const CString &f);
char   *CombineStr(const char *dir, const char *file);

#endif
