#include <stdio.h>
#include <stdlib.h>

#include <windows.h>

#include "../SystemCalls.h"

void CreateDir(const char *dir)
{
  CreateDirectory(dir, 0);
}

void DeleteDir(const char *dir)
{
  RemoveDirectory(dir);
}

int GetModTime(const char *file)
{
  WIN32_FILE_ATTRIBUTE_DATA data;
  GetFileAttributesEx(file, GetFileExInfoStandard, &data);
  return !data.ftLastWriteTime.dwLowDateTime ? rand() : data.ftLastWriteTime.dwLowDateTime;
}
